# @cloudbase/weda-node-sdk
微搭低码数据源云函数公共 node 包, 数据源相关 `lcap-datasource-test`(微搭控制台数据源测试专用的云函数)、`lcap-common-service`(微搭应用运行态依赖的公共云函数, 提供用户注册、获取用户信息、调用微搭后端服务等公共功能)、数据源云函数(在微搭控制台中数据源保存和发布均会部署对应的云函数) 均使用了该包.

## 包中提供的函数

### createApp
创建数据源云函数, 传入参数后, 该函数会返回一个可以直接作为tcb云函数默认入口函数的新的函数

方法定义
```ts
(options: ICreateAppOptions) => ((params: IFnParams, context: IContext) => any)

/**
 * 创建数据源云函数所用的参数
 */
interface ICreateAppOptions {
  /**
   * 是否为测试模式, 目前仅测试云函数需要将其设置为 true, 为 true 时会有以下效果:
   *  - user source 若无(无法从Node环境信息中获取C端用户信息), 则指定为 uid 0, type 4
   *  - 请求出错时会将错误对象返回, 添加 original 字段, 会将错误对象转换为字符串, 即 stack 内容
   */
  isTestMode?: boolean;
  /** 数据源的自定义方法对象 */
  handlers: Record<string, IDsFn>
  /** 数据源描述信息 */
  dsConfig?: IPlatformDataSource
  /**
   * 是否为旧数据源结构, 若为旧数据源结构, 则走旧逻辑
   */
  isLegacyDs?: boolean
}

```

